server:
  port: 8081

logging:
  level:
    com:
      netflix:
        hystrix: DEBUG
    org:
      springframework:
        web:
          servlet:
            DispatcherServlet: DEBUG
spring:
  application:
    name: mqsub-app
  jackson:
    serialization:
      write_dates_as_timestamps: false
  redis:
    host: 127.0.0.1
    port: 6379
    timeout: 3000
    connectTimeout: 10000
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: "jdbc:mysql://localhost:3306/test-inventory"
    username: root
    tomcat:
      validation-query: "SELECT 1"
      initial-size: 5
      max-active: 20
      max-wait: 1000
      min-idle: 10
      test-on-borrow: true
    jpa:
      properties:
        hibernate:
          dialect: org.hibernate.dialect.MySQLDialect
          physical_naming_strategy: io.hypersistence.utils.hibernate.naming.CamelCaseToSnakeCaseNamingStrategy

rocketmq:
  name-server: "localhost:9876"
  producer:
    group: order-producer-group
    sendMessageTimeout: 300000
    tls-enable: false
  consumer:
    tlsEnable: false
